Core - Bug # 36009

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Content Rendering
Created: 2012-04-13 Assigned To:

Updated: 2012-04-16 Due date:

TYPO3 Version: 6.0

PHP Version: 53

Complexity: medium

Is Regression:

Sprint Focus:

Subject: Remove deprecated PHP_SCRIPT* content objects

Description

PHP_SCRIPT, PHP_SCRIPT_INT and PHP_SCRIPT_EXT content objects are deprecated and scheduled for removal in TYPOS 6.0.
The patch removes the objects and all directly related code.

Related issues:
related to LTS Smooth Migration - Task # 49194: Check for 'Remove Code from C... New 2013-06-17
related to Core - Task # 56850: Remove deprecated functions from ContentObjec... Resolved 2014-03-12

Associated revisions

Revision 4d79e106 - 2012-04-15 17:58 - Christian Kuhn

[TASK] Remove deprecated PHP_SCRIPT* content objects

PHP_SCRIPT, PHP_SCRIPT_INT and PHP_SCRIPT_EXT content objects are deprecated
and scheduled for removal in TYPOS3 6.0. The patch removes the objects and

all directly related code completely.

Change-Id: 16668fcf415bd24146b08401fc4a1d507c048e46¢
Resolves: #36009
Releases: 6.0

Reviewed-on: http://review.typo3.org/10439

Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Tolleiv Nietsch
Tested-by: Tolleiv Nietsch

Revision ff1af01d - 2012-04-29 15:06 - Christian Kuhn

[TASK] Remove deprecated PHP_SCRIPT* content objects

PHP_SCRIPT, PHP_SCRIPT_INT and PHP_SCRIPT_EXT content objects are deprecated
and scheduled for removal in TYPOS3 6.0. The patch removes the objects and

all directly related code completely.

Change-Id: 16668fcf415bd24f46b08401fc4a1d507c048e46¢
Resolves: #36009

Releases: 6.0

Reviewed-on: http://review.typo3.org/10439
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Tolleiv Nietsch
Tested-by: Tolleiv Nietsch

Revision b1d2bb04 - 2014-03-13 06:39 - Wouter Wolters

[TASK] Remove deprecated functions from ContentObjectRenderer

HTML
PHP_SCRIPT

Resolves: #56850

Related: #36009

Related: #36402

Releases: 6.2

Change-Id: 12abfae16b7eed9b360524b6553854e4b1cbf08bc
Reviewed-on: https://review.typo3.org/28328

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Georg Ringer
Tested-by: Georg Ringer

History

#1 - 2012-04-13 21:43 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/10439

#2 - 2012-04-14 11:38 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/10439

#3 - 2012-04-14 12:30 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/10439

#4 - 2012-04-14 12:34 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/10439

#5 - 2012-04-16 02:30 - Christian Kuhn
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:4d79e1067bcca87b8036845f41d0423bed14c994.
